
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 29/OCT/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Wed Oct 31 23:40:49 EST 2007, v0.05 sdy

  This is Exception.h, part of Exception.

  See Exception.cpp for implementation details.

*/

//  PACKAGE

#include "Exception.h"

Exception::Exception()
{
}

Exception::Exception(std::string const & message) :
  message_(message)
{
}

Exception::Exception(Exception const & exception) :
 message_(exception.what())
{
}

Exception::~Exception() throw()
{
}

const char*
Exception::what() const throw()
{
  return message_.c_str();
}
